#
# spec file for package mirror (Version 2.9)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         mirror
%define perl_sitelib  %(eval "`perl -V:installsitelib`"; echo $installsitelib)
Copyright:    distributable
Group:        Applications/Internet 
Requires:     compress
Provides:     mirror 
Autoreqprov:  on
Version:      2.9
Release:      276
Summary:      Perl scripts for mirroring ftp servers
Url:          http://sunsite.org.uk/packages/mirror/
Source:       ftp://sunsite.org.uk/packages/mirror/%{name}-%{version}.tar.bz2
Patch:        %{name}-%{version}.patch
Patch1:       %{name}-%{version}.ftp-ls-timeout.patch
Patch2:       %{name}-%{version}.y2k-fix.patch
Patch3:       %{name}-%{version}.name_map-default.patch
BuildRoot:    %{_tmppath}/%{name}-build

%description
Documentation: "man mirror" and "man mm".

Authors:
--------
    Lee McLoughlin <lmjm@doc.ic.ac.uk>

SuSE series: n

%prep
%setup -c
%patch
%patch1
%patch2
%patch3

%build

%install
rm -rf $RPM_BUILD_ROOT
install -d -m 755 $RPM_BUILD_ROOT%{perl_sitelib}
install -d -m 755 $RPM_BUILD_ROOT/usr/bin
install -d -m 755 $RPM_BUILD_ROOT%{_mandir}/man1
make "DESTDIR=$RPM_BUILD_ROOT" install PLDIR=%{perl_sitelib}
cd $RPM_BUILD_ROOT/usr/bin/
ln -sf mirror-master mm

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc *.txt *.html mirror-on-dusk.gif mirror.defaults
%{perl_sitelib}/*
/usr/bin/*
%doc %{_mandir}/man1/*

%changelog -n mirror
* Tue Jul 31 2001 - adostal@suse.cz
- convert gz to bz2 and dif to patch
* Wed May 09 2001 - draht@suse.de
- s/unallowed/illegal/
  Language problem fixed in mirror-2.9.dif
* Mon Mar 12 2001 - draht@suse.de
- added y2k fix provided by Andreas Schwab against dateconv.pl,
  mirror-2.9.y2k-fix.dif
- added fix against timeouts in directory listings
  mirror-2.9.ftp-ls-timeout.dif
- added change against ".." in pathnames provided from remote,
  mirror-2.9.name_map-default.dif (against mirror.defaults).
* Thu Nov 09 2000 - cihlar@suse.cz
- clean up spec file
- fixed file list
* Fri Jul 21 2000 - cihlar@suse.cz
- added more documentation
* Wed May 17 2000 - cihlar@suse.cz
- Group sorted
* Wed Apr 05 2000 - cihlar@suse.cz
- added BuildRoot
- clean up spec file
* Fri Jan 21 2000 - ro@suse.de
- manpages to /usr/share/man
* Mon Dec 06 1999 - ro@suse.de
- update to 2.9
- config-file "mirror.defaults" resides in perl_sitelib now
- re-added security patch
- added requires compress
* Sun Nov 07 1999 - ro@suse.de
- removed ~ from deny-list
* Thu Sep 30 1999 - bs@suse.de
- applied security fix for german umlauts etc.
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Thu Oct 22 1998 - bs@suse.de
- added package name to mail subject.
* Fri Oct 16 1998 - bs@suse.de
- added ftp.pl lchat.pl lsparse.pl with some fixes to get passive ftp working.
* Tue May 27 1997 - florian@suse.de
- new version 2.8.f4
- include chat2.pl, as perl5.004 does not
* Tue Mar 18 1997 - bs@suse.de
- echo how many files to get even if debug is disabled.
* Thu Jan 02 1997 - bs@suse.de
- printing how many files are left.
- 'timezone-confusion-patch' by emoenke@gwdg.de
* Thu Jan 02 1997 - florian@suse.de
- added some known bug-fixes to mirror
- made it work with perl5.003
